<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<title>特殊流程控制的书写格式</title>
</head>

<body>
<?php
	$two = 2;							//声明变量$two，赋初值为最小的素数
	$max = 1000;						//声明变量$max，赋值为最大的范围
	$arr = array();						//声明一个数组$arr
	echo $max."以内的素数为：";
	while($two < $max):					//判断变量是否在允许的范围内
		$boo = false;					//声明一个布尔变量$boo，初值为false
		foreach($arr as $value):		//使用foreach语句遍历$arr数组
			if($two % $value == 0):		//如果变量$two 能够被数组元素整除
				$boo = true;			//将布尔变量赋值为true
				break;					//跳出当前循环
			endif;
		endforeach;
		if(!$boo):						//判断变量$boo值
			echo $two." ";				//如果$boo为假，则说明当前变量$two为素数，输出素数
			$arr[count($arr)] = $two;	//同时存到数组中
		endif;
		$two++;							//变量$two加1
	endwhile;							//结束循环
?>

</body>
</html>
